=== debian/changelog ===
plasma-workspace (4:6.3.4-0ubuntu2) plucky; urgency=medium

  * Add upstream_fix-notifications-padding.patch recommended by KDE
    developers for 6.3.4.
    https://mail.kde.org/pipermail/distributions/2025-April/001571.html

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Apr 2025 06:55:38 +0100

plasma-workspace (4:6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 08:58:48 +0100

plasma-workspace (4:6.3.3-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:14:23 -0500

plasma-workspace (4:6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:24:57 +0000

plasma-workspace (4:6.3.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep our .install and .symbols files.
    - Build depend on KF6 >= 6.10.0 and Plasma 6.3.2
    - Breaks/Replaces for Ubuntu version history.
    - Add ${python3:Depends} to plasma-workspace-data, needed for
      usr/share/kconf_update/migrate-calendar-to-plugin-id.py
    - Recommends: appmenu-gtk3-module
    - Depends: qt6-svg-plugins

 -- Rik Mills <rikmills@kde.org>  Mon, 03 Mar 2025 13:58:26 +0000

plasma-workspace (4:6.3.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.1).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.3.2).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 6.3.2.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 01:01:45 +0100

plasma-workspace (4:6.3.2-0ubuntu2) plucky; urgency=medium

  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Feb 2025 20:31:19 +0000

plasma-workspace (4:6.3.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2025 18:18:36 +0000

plasma-workspace (4:6.3.1-0ubuntu2) plucky; urgency=high

  * Sync copyright update from Debian.

 -- Rik Mills <rikmills@kde.org>  Wed, 19 Feb 2025 06:48:21 +0000

plasma-workspace (4:6.3.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2025 14:25:56 +0000

plasma-workspace (4:6.3.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 6.3.0.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Feb 2025 15:07:48 +0100

plasma-workspace (4:6.3.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.0)
  * Update symbols.
  * Removed no longer existing appmenu-gtk2-module from build depends.

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2025 12:57:55 +0000

plasma-workspace (4:6.2.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.91).
  * Update build-deps and deps with the info from cmake.
  * Add lintian override for plasma-workspace having… many dependencies.
  * Update symbols from build for 6.2.91.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 23:54:50 +0100

plasma-workspace (4:6.2.91-0ubuntu3) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 06 Feb 2025 11:23:32 -0600

plasma-workspace (4:6.2.91-0ubuntu2) plucky; urgency=medium

  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Fri, 24 Jan 2025 06:52:21 +0000

plasma-workspace (4:6.2.91-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.91)

 -- Rik Mills <rikmills@kde.org>  Thu, 23 Jan 2025 13:44:45 +0000

plasma-workspace (4:6.2.90-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Update symbols from buildds for 4:6.2.90.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 22 Jan 2025 23:14:34 +0100

plasma-workspace (4:6.2.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.90).
  * Update build-deps and deps with the info from cmake.
  * Remove libplasma-geolocation-interface6 moved to plasma5support.
  * Update the list of installed files from the build logs.
  * Update symbols from build for 6.2.90.
  * Refresh copyright information.
  * Bump inter-plasma versioned dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Jan 2025 00:49:30 +0100

plasma-workspace (4:6.2.5-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Do not depend on gdb-minimal any more since the package will be
    removed and always depend on gdb (Closes: #1092734).

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Feb 2025 23:04:18 +0100

plasma-workspace (4:6.2.5-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Remove appmenu-gtk2-module as a build dependency (Closes: #1095120).

 -- Patrick Franz <deltaone@debian.org>  Sat, 08 Feb 2025 15:20:55 +0100

plasma-workspace (4:6.2.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Jan 2025 11:24:26 +0100

plasma-workspace (4:6.2.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.4).
  * Update build-deps and deps with the info from cmake.
  * Remove obsolete conf file /etc/xdg/autostart/klipper.desktop. (Closes:
    #1088962)

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Dec 2024 16:43:03 +0100

plasma-workspace (4:6.2.3-3) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Update symbols from buildds for 4:6.2.3.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 26 Nov 2024 21:02:35 +0100

plasma-workspace (4:6.2.3-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Update symbols from buildds for 4:6.2.3.


